      SUBROUTINE P_INITA(MT,ML,MGB,NPT,NTT,NST,POUT,TOUT,SOUT,DBGIN,
     &RLT,RUT)
      LOGICAL DBGIN
      DIMENSION POUT(NPT),TOUT(NTT,MT),SOUT(NST,MGB,MT)
      DIMENSION RLT(ML,MGB,MT),RUT(ML,MGB,MT)
c        print*,"inside p_inita "
      DO IT=1,MT
        CALL MP_INITA(ML,MGB,NPT,NTT,NST,POUT,
     & tout(1,1), sout(1,1,1),  !TOUT(1,IT),SOUT(1,1,IT),
     &  DBGIN,RLT(1,1,IT),RUT(1,1,IT))
      ENDDO
c        print*,"inside p_inita "
c       stop
      RETURN
      END
